cURL
curl --request POST \ --url https://api.example.com/api/v1/materials \ --header 'Content-Type: application/json' \ --data ' { "materialName": "<string>", "refId": "<string>", "materialType": "<string>", "supplierId": "<string>", "costPerUnit": 123, "currency": "<string>", "verificationStatus": "<string>", "unit": "<string>", "weight": 123, "weightUom": "<string>", "color": "<string>", "notes": "<string>", "width": 123, "widthUom": "<string>", "composition": [ {} ], "shrinkage": 123, "countryOfOrigin": "<string>" } '
{ "documentId": "<string>", "id": "<string>", "masterMaterialId": "<string>", "name": "<string>", "refId": "<string>", "materialType": "<string>", "supplierId": "<string>", "supplier": "<string>", "supplierName": "<string>", "countryOfOrigin": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "submittedAt": "<string>", "lastVerifiedDate": "<string>", "costDisplay": "<string>", "originalCostPerUnit": 123, "currency": "<string>", "unit": "<string>", "weight": 123, "weightUom": "<string>", "color": "<string>", "notes": "<string>", "width": 123, "widthUom": "<string>", "composition": [ {} ], "shrinkage": 123, "verificationStatus": "<string>" }
Create a new material.
Documentation IndexFetch the complete documentation index at: https://docs.vinmake.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response